# class Chef::ServerAPI

### Public Class Methods

new(url = Chef::Config[:chef_server_url], options = {}) click to toggle source
Calls superclass method Chef::HTTP.new

    # File lib/chef/server_api.rb, line 30
    def initialize(url = Chef::Config[:chef_server_url], options = {})
      options[:client_name] ||= Chef::Config[:node_name]
      options[:signing_key_filename] ||= Chef::Config[:client_key]
      super(url, options)
    end